View Issue Details

IDProjectCategoryView StatusLast Update
0000044Far Manager 1.7xSymLink/HardLinkpublic2007-07-16 16:08
ReporterDiRTy_GaRRyAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000044: Потеря данных при копировании ссылок на папки
DescriptionСтановимся на папку-связь, пытаемся копировать её ("Копировать содержимое символических связей" отключено) в какое либо другое место NTFS диска, FAR почему-то выдаёт запрос на перезапись файлов содержащихся в этой папке, с дуру соглашаемся и получаем в новом месте связь с файлами нулевого размера, ну и, соответственно, эти файлы зануляются в исходной папке. Если же копировать непосредственно папку, а, допустим, папку, содержащую эту связь, то копирование связи происходит нормально.
TagsNo tags attached.
Build

Activities

DiRTy_GaRRy

2005-10-26 06:27

developer   bugnote:0000023

Да, совсем забыл, FAR Build 2051.

vskirdin

2005-10-26 16:33

administrator   bugnote:0000030

проверяй - http://farmanager.com/farbugs/mantis45.3.rar

DiRTy_GaRRy

2005-10-26 18:17

developer   bugnote:0000031

Исправлено.

Ради интереса погонял на всяких других ситуациях и нашёл ещё одну ошибку с таким же результатом. Копируем с NTFS на NTFS папку, содержащую в подпапках ссылку на папку ("Копировать содержимое символических связей" отключено), далее копируем эту же папку туда же, но уже с включённой опцией "Копировать содержимое символических связей", видим уже описанный мною запрос на перезапись, и получаем в итоге аналогичный исходной ошибке результат, то есть файлы нулевой длины внутри ссылки на папку.

vskirdin

2005-10-27 13:28

administrator   bugnote:0000034

Ну и какую логику ты предлагаешь для своих действий?
Я что-то ума не дам, что нужно предпринять, чтобы....

DiRTy_GaRRy

2005-10-27 13:46

developer   bugnote:0000035

Если копировать просто файлы из исходно папки в ссылку на папку, то выдаётся сообщение об ошибке копирования самого в себя. Тут совершенно идентичная ситуация, значит, и логика поведения должна быть аналогичной. Правда, так как у нас всё таки ситуация не столь однозначная, как при копировании просто файлов, то в можно выдавать диалог ошибки с кнопками "Пропустить"/"Пропустить все"/"Отменить".

vskirdin

2005-12-08 07:39

administrator   bugnote:0000055

см. после 2059

DiRTy_GaRRy

2005-12-08 09:35

developer   bugnote:0000059

Исправлено.

Issue History

Date Modified Username Field Change
2005-10-26 06:23 DiRTy_GaRRy New Issue
2005-10-26 06:27 DiRTy_GaRRy Note Added: 0000023
2005-10-26 16:00 vskirdin Status new => assigned
2005-10-26 16:00 vskirdin Assigned To => vskirdin
2005-10-26 16:33 vskirdin Note Added: 0000030
2005-10-26 18:17 DiRTy_GaRRy Note Added: 0000031
2005-10-27 13:28 vskirdin Note Added: 0000034
2005-10-27 13:46 DiRTy_GaRRy Note Added: 0000035
2005-12-08 07:39 vskirdin Status assigned => resolved
2005-12-08 07:39 vskirdin Fixed in Version => alpha 6
2005-12-08 07:39 vskirdin Resolution open => fixed
2005-12-08 07:39 vskirdin Note Added: 0000055
2005-12-08 09:35 DiRTy_GaRRy Status resolved => feedback
2005-12-08 09:35 DiRTy_GaRRy Resolution fixed => reopened
2005-12-08 09:35 DiRTy_GaRRy Note Added: 0000059
2005-12-08 09:35 DiRTy_GaRRy Status feedback => resolved
2005-12-08 09:35 DiRTy_GaRRy Resolution reopened => fixed
2007-07-16 16:08 alexy Status resolved => closed